﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CellStyleSelectorApp;
using Syncfusion.WinRT.Data;
using System.ComponentModel;

namespace CellStyleSelector
{
    public class StockData : INotifyPropertyChanged
    {

        #region Private Members

        private string symbol;
        private string account;
        private double lastTrade;
        private double change;
        private double previousClose;
        private double open;
        private long volume;

        #endregion

        public string Symbol
        {
            get { return symbol; }
            set
            {

                symbol = value;
                var styleclass = new StockCellStyleSelector();
                OnPropertyChanged("Symbol");

            }
        }

        public string Account
        {
            get { return account; }
            set
            {

                account = value;
                OnPropertyChanged("Account");
            }
        }

        public double LastTrade
        {
            get { return lastTrade; }
            set
            {

                lastTrade = value;
                OnPropertyChanged("LastTrade");
            }
        }

        public double Change
        {
            get { return change; }
            set
            {

                change = value;
                OnPropertyChanged("Change");
            }
        }

        public double PreviousClose
        {
            get { return previousClose; }
            set
            {

                previousClose = value;
                OnPropertyChanged("PreviousClose");
            }
        }

        public double Open
        {
            get { return open; }
            set
            {

                open = value;
                OnPropertyChanged("Open");
            }
        }

        public long Volume
        {
            get { return volume; }
            set
            {

                volume = value;
                OnPropertyChanged("Volume");
            }
        }

        public void InitializeOn(StockData other)
        {
            this.Symbol = other.Symbol;
            this.LastTrade = other.LastTrade;
            this.Change = other.Change;
            this.PreviousClose = other.PreviousClose;
            this.Open = other.Open;
            this.Volume = other.Volume;

        }

        public StockData()
        {

        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
